Skip to main content
GET
/
instagram
/
performance
cURL
curl -X GET "https://apiv3.creatordb.app/instagram/performance?uniqueId=cristiano" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "contentCountByDays": {
      "7d": 2,
      "30d": 17,
      "90d": 50
    },
    "ranking": {
      "totalFollowers": {
        "global": 1,
        "country": 1,
        "language": 1
      },
      "avgEngagementRate": {
        "global": 0.3151,
        "country": 0.2419,
        "language": 0.2027
      }
    },
    "imagesPerformanceRecent": {
      "likes": {
        "all": 129460053,
        "avg": 6813687,
        "median": 4971626,
        "min": 967242,
        "max": 28938447
      },
      "comments": {
        "all": 1454317,
        "avg": 76543,
        "median": 44385,
        "min": 9838,
        "max": 402754
      },
      "engagement": {
        "avgEngagementRate": 0.0103,
        "likesPerFollower": 0.0102,
        "commentsPerFollower": 0.0001,
        "engagementConsistency": {
          "cv": 0.9764,
          "medianVsMean": 0.7283,
          "topBottomRatio": 11.6484,
          "consistencyScore": 37,
          "consistencyLevel": "low"
        }
      }
    },
    "reelsPerformanceRecent": {
      "likes": {
        "all": 53411784,
        "avg": 4450982,
        "median": 1885484,
        "min": 735003,
        "max": 18386191
      },
      "comments": {
        "all": 1200876,
        "avg": 100073,
        "median": 31761,
        "min": 9965,
        "max": 631039
      },
      "views": {
        "all": 1075622364,
        "avg": 89635197,
        "median": 49017380,
        "min": 34884947,
        "max": 250628732
      },
      "engagement": {
        "avgEngagementRate": 0.0401,
        "likesPerFollower": 0.0066,
        "commentsPerFollower": 0.0001,
        "viewsPerFollower": 0.1336,
        "engagementConsistency": {
          "cv": 0.4417,
          "medianVsMean": 0.9014,
          "topBottomRatio": 3.0797,
          "consistencyScore": 56,
          "consistencyLevel": "moderate"
        }
      }
    }
  },
  "quotaUsed": 1,
  "quotaUsedTotal": 1,
  "remainingQuota": -1,
  "traceId": "4dc65ca4b026cc141bbd44adda8f0c55",
  "timestamp": 1767933681199,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

uniqueId
string
required

Instagram account ID. Accepts instagram or @instagram format (@ is stripped automatically).

Required string length: 1 - 31
Pattern: ^@?[a-zA-Z0-9._]+$
Example:

"instagram"

Response

Instagram performance data returned successfully.

Performance data of the specified Instagram creator returned successfully.

data
object
required

The Instagram performance data.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026